Demo docs: examples are illustrative.
Referral API

Review a flagged referral

POST
/referrals/{referral_id}/review

Approve or reject a referral that fraud checks held for review.

Authorization

apiKey
headerAuthorizationBearer <token>

Use a secret key such as sk_test_... in test mode or sk_live_... in production.

Path Parameters

referral_id*string

Request Body

application/json
  1. body
decision*string
Value in"approve""reject"
note?string

Shown in the audit log.

Response Body

The updated referral.

application/json
  1. response
id*string
referrer_id*string
referred_external_id?string
status*ReferralStatus
Value in"pending""in_review""converted""rejected""expired"
risk_score?number

Higher scores are more likely to be abuse. Scores above your threshold are held for review.

Range0 <= value <= 1
created_at*string
Formatdate-time
converted_at?|
Formatdate-time
Example Request
curl -X POST 'https://api.referralapi.example/v1/referrals/rfl_7Yp1aZc6/review' \  -H 'Content-Type: application/json' \  -d '{  "decision": "approve"}'
Example Response
{  "id": "rfl_7Yp1aZc6",  "referrer_id": "string",  "referred_external_id": "string",  "status": "pending",  "risk_score": 0,  "created_at": "2019-08-24T14:15:22Z",  "converted_at": "2019-08-24T14:15:22Z"}